<?php



class MenusMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.MenusMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('MENUS');
		$tMap->setPhpName('Menus');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('ID', 'Id', 'double', CreoleTypes::NUMERIC, true, 22);

		$tMap->addColumn('DESCRIPCION', 'Descripcion', 'string', CreoleTypes::VARCHAR, false, 30);

		$tMap->addColumn('UPDATE_AT', 'UpdateAt', 'int', CreoleTypes::DATE, false, null);

		$tMap->addColumn('ORDEN', 'Orden', 'double', CreoleTypes::NUMERIC, false, 22);

	} 
} 